Bug 851050 - [vdsm] Failure in iscsiadm update node command during discoverSendTargets on attempt to modify node.startup
[vdsm] Failure in iscsiadm update node command during discoverSendTargets on ...
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm (Show other bugs)
All Linux
low Severity medium
: ---
: 3.3.0
Assigned To: Sergey Gotliv
Aharon Canan
: Triaged
Depends On:
  Show dependency treegraph
Reported: 2012-08-23 03:22 EDT by Gadi Ickowicz
Modified: 2016-02-10 14:18 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-08-07 03:34:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
scohen: Triaged+

Attachments (Terms of Use)
vdsm logs (1.71 MB, application/x-bzip)
2012-08-23 03:22 EDT, Gadi Ickowicz
no flags Details

External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 17212 None None None Never

  None (edit)
Description Gadi Ickowicz 2012-08-23 03:22:58 EDT
Created attachment 606463 [details]
vdsm logs

Description of problem:
When requesting discoverSendTargets, vdsm performs 
/usr/bin/sudo -n /sbin/iscsiadm -m discoverydb -t sendtargets -I default -p -n node.startup -v manual --op=update

this fails every time with: FAILED: <err> = 'iscsiadm: Cannot modify node.startup. Invalid param name.\n'; <rc> = 7

This does not interrupt the process, and it continues on to discover.

manually running the command also produces the same result:
[root@cougar04 ~]# /usr/bin/sudo -n /sbin/iscsiadm -m discoverydb -t sendtargets -I default -p --op=new
New discovery record for [,3260] added.
[root@cougar04 ~]# /usr/bin/sudo -n /sbin/iscsiadm -m discoverydb -t sendtargets -I default -p -n node.startup -v manual --op=update
iscsiadm: Cannot modify node.startup. Invalid param name.
[root@cougar04 ~]# echo $?
[root@cougar04 ~]# ls -ltr /var/lib/iscsi/nodes/
total 12
drw-------. 2 root root 4096 Aug 21 14:00 iqn.2008-05.com.xtremio:001b21b545c0
drw-------. 2 root root 4096 Aug 22 14:38 iqn.1986-03.com.sun:02:gadi-rhevm2012081395810878617
drw-------. 2 root root 4096 Aug 22 14:41 iqn.1986-03.com.sun:02:gadi-rhevm201208139582110787

contents of /var/lib/iscsi/send_targets:
[root@cougar04,3260]# for i in `ls /var/lib/iscsi/send_targets/`; do cat /var/lib/iscsi/send_targets/$i/*; done
# BEGIN RECORD 2.0-872.41.el6
discovery.startup = manual
discovery.type = sendtargets
discovery.sendtargets.address =
discovery.sendtargets.port = 3260
discovery.sendtargets.auth.authmethod = None
discovery.sendtargets.timeo.login_timeout = 15
discovery.sendtargets.use_discoveryd = No
discovery.sendtargets.discoveryd_poll_inval = 30
discovery.sendtargets.reopen_max = 5
discovery.sendtargets.timeo.auth_timeout = 45
discovery.sendtargets.timeo.active_timeout = 30
discovery.sendtargets.iscsi.MaxRecvDataSegmentLength = 32768

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Perform discoverSendTargets on a host. check logs
Comment 2 Ayal Baron 2012-08-26 04:13:20 EDT
This is mostly a logging issue as we ignore the error and the default value is manual anyway, but fix seems very simple.
Need to change iscsi.py line 158 to:
iscsiadm.node_update(iface.name, portalStr, targetName, "node.startup", "manual")
Comment 3 RHEL Product and Program Management 2012-12-14 01:47:13 EST
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 4 Petr Spacek 2013-06-13 07:01:11 EDT
The problem is still present in vdsm-4.10.2-22.0.el6ev.x86_64 , RHEL 6.4 hypervisor with latest updates (2013-06-13).
Comment 5 Sergey Gotliv 2013-07-22 09:29:53 EDT
Iscsiadm operational mode must be 'node' while updating 'node.startup'
setting and not 'discoverydb' as it is today.

Note You need to log in before you can comment on or make changes to this bug.